% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get-annotations.R
\name{getGoMolecularFunctions}
\alias{getGoBiologicalProcesses}
\alias{getGoCellularComponents}
\alias{getGoMolecularFunctions}
\title{GO definitions by AptamerId}
\usage{
getGoMolecularFunctions(aptamerIds = NULL, simplify = FALSE)

getGoBiologicalProcesses(aptamerIds = NULL, simplify = FALSE)

getGoCellularComponents(aptamerIds = NULL, simplify = FALSE)
}
\arguments{
\item{aptamerIds}{A character vector of SomaLogic Sequence IDs, or \code{NULL} to
use all 1129 Sequence IDs.}

\item{simplify}{Logical.  Should the output be collapsed into a single
data.frame?}
}
\value{
A list of data frames.  The names of the list are the input
aptamerIds, and the data frame associated with that element contains:
\describe{
\item{UniProtId}{Character.  UniProt ID for the protein target.}
\item{GoId}{Character.  GO ID for property of the target protein.}
\item{GoName}{Character.  Name corresponding to the GO ID.}
\item{GoDefinition}{Character.  Description corresponding to the GO ID.}
}
}
\description{
Gets the GO definitions associated with SomaLogic Sequence IDs.  There are
three datasets, one for each of these domains: molecular function, biological
process, and cellular compartment.
}
\examples{
# Each AptamerId may have one, many, or zero associated GO descriptions
getGoMolecularFunctions(c("2278-61", "3505-6", "4916-2"))
getGoBiologicalProcesses(c("2278-61", "3505-6", "4916-2"))
getGoCellularComponents(c("2278-61", "3505-6", "4916-2"))

# Get everything in the 1310 and 1129 panels.
\dontrun{
getGoMolecularFunctions()
getGoBiologicalProcesses()
getGoCellularComponents()
}
}

